Thread (17 messages) 17 messages, 4 authors, 2023-10-26

Re: [PATCH 1/4 v2] mdadm/tests: Fix regular expression failure

From: Mariusz Tkaczyk <hidden>
Date: 2023-09-28 09:25:11

On Wed, 27 Sep 2023 10:52:16 +0800
Xiao Ni [off-list ref] wrote:
quoted hunk ↗ jump to hunk
The test fails because of the regular expression.

Signed-off-by: Xiao Ni <redacted>
---
 tests/06name | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/tests/06name b/tests/06name
index 4d5e824d3e0e..86eaab69e3a1 100644
--- a/tests/06name
+++ b/tests/06name
@@ -3,8 +3,8 @@ set -x
 # create an array with a name
 
 mdadm -CR $md0 -l0 -n2 --metadata=1 --name="Fred" $dev0 $dev1
-mdadm -E $dev0 | grep 'Name : [^:]*:Fred ' > /dev/null || exit 1
-mdadm -D $md0 | grep 'Name : [^:]*:Fred ' > /dev/null || exit 1
+mdadm -E $dev0 | grep 'Name : Fred' > /dev/null || exit 1
+mdadm -D $md0 | grep 'Name : Fred' > /dev/null || exit 1
 mdadm -S $md0
 
 mdadm -A $md0 --name="Fred" $devlist
Hello Xiao,
I can see that it is not sent first time. Previous version was moved by me to
the "awaiting_upstream" state on patchwork but I forgot to answer.
You don't need to send it again. I'm ignoring this one. Anyway, here my
approval:

Reviewed-by: Mariusz Tkaczyk <redacted>

https://patchwork.kernel.org/project/linux-raid/patch/20230907085744.18967-1-xni@redhat.com/

Thanks,
Mariusz
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help